Debian Bug report logs - #667996
openconnect: FTBFS(kfreebsd-*,hurd): asprintf undefined

version graph

Package: src:openconnect; Maintainer for src:openconnect is Mike Miller <mtmiller@debian.org>;

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Sat, 7 Apr 2012 23:45:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 668282

Found in versions openconnect/3.15-2, openconnect/3.15-1

Fixed in version openconnect/3.16-1

Done: Mike Miller <mtmiller@ieee.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Mike Miller <mtmiller@ieee.org>:
Bug#667996; Package src:openconnect. (Sat, 07 Apr 2012 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Mike Miller <mtmiller@ieee.org>. (Sat, 07 Apr 2012 23:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: submit@bugs.debian.org
Subject: openconnect: FTBFS(kfreebsd-*,hurd): asprintf undefined
Date: Sun, 08 Apr 2012 00:40:48 +0100
Package: src:openconnect
Version: 3.15-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the
past)

Hi,

On GNU/kFreeBSD and GNU/Hurd, this package FTBFS because _GNU_SOURCE
must be defined in order to use asprintf.  Patch to follow shortly...

> libtool: compile:  gcc -DPACKAGE_NAME=\"openconnect\" -DPACKAGE_TARNAME=\"openco
> \" -DPACKAGE_URL=\"\" -DPACKAGE=\"openconnect\" -DVERSION=\"3.15\" -DSTDC_HEADER
> 1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DH
> /if_tun.h\" -DHAVE_ENGINE=1 -I. -DLOCALEDIR=\"/usr/share/locale\" -I/usr/include
> eter -Werror=pointer-to-int-cast -Wdeclaration-after-statement -Werror-implicit-
> issing-include-dirs -Wnested-externs -Wpointer-arith -Wwrite-strings -c ssl.c  -
> ssl.c: In function 'openconnect_open_https':
> ssl.c:924:5: error: implicit declaration of function 'asprintf' [-Werror=implici
> ssl.c:924:5: warning: nested extern declaration of 'asprintf' [-Wnested-externs]
> cc1: some warnings being treated as errors

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Mike Miller <mtmiller@ieee.org>:
Bug#667996; Package src:openconnect. (Sat, 07 Apr 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Mike Miller <mtmiller@ieee.org>. (Sat, 07 Apr 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 667996@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 667996@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#667996: openconnect: FTBFS(kfreebsd-*,hurd): asprintf undefined
Date: Sun, 08 Apr 2012 00:47:46 +0100
[Message part 1 (text/plain, inline)]
tags 667996 + patch
thanks

Hi,

The attached patch fixes the problem for me on kfreebsd-i386, and I
would assume the other non-Linux GNU arches as well.

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[10_fix_nonlinux_build.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#667996; Package src:openconnect. (Sun, 08 Apr 2012 13:18:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Miller <mtmiller@ieee.org>:
Extra info received and forwarded to list. (Sun, 08 Apr 2012 13:18:46 GMT) Full text and rfc822 format available.

Message #15 received at 667996@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 667996@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#667996: openconnect: FTBFS(kfreebsd-*,hurd): asprintf undefined
Date: Sun, 8 Apr 2012 08:47:24 -0400
Hi Steven,

On Sun, Apr 08, 2012 at 12:47:46AM +0100, Steven Chamberlain wrote:
> The attached patch fixes the problem for me on kfreebsd-i386, and I
> would assume the other non-Linux GNU arches as well.

Thanks.  I worked out a similar patch, needs a slight adjustment for
GNU/Hurd.
-- 
mike




Information forwarded to debian-bugs-dist@lists.debian.org, Mike Miller <mtmiller@ieee.org>:
Bug#667996; Package src:openconnect. (Mon, 09 Apr 2012 14:09:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike Miller <mtmiller@ieee.org>. (Mon, 09 Apr 2012 14:09:53 GMT) Full text and rfc822 format available.

Message #20 received at 667996@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 667996@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#667996: openconnect: FTBFS(kfreebsd-*,hurd): asprintf undefined
Date: Mon, 9 Apr 2012 15:56:05 +0200
[Message part 1 (text/plain, inline)]
On Sun, Apr  8, 2012 at 00:47:46 +0100, Steven Chamberlain wrote:

> tags 667996 + patch
> thanks
> 
> Hi,
> 
> The attached patch fixes the problem for me on kfreebsd-i386, and I
> would assume the other non-Linux GNU arches as well.
> 
> Thanks,
> Regards,
> -- 
> Steven Chamberlain
> steven@pyro.eu.org

> Description: fix to build on non-Linux GNU systems
>  Must enable _GNU_SOURCE to use asprintf;  do this for GNU systems other
>  than Linux (e.g. GNU/kFreeBSD, GNU/Hurd)
> Author: Steven Chamberlain <steven@pyro.eu.org>
> Bug-Debian: http://bugs.debian.org/667996
> 
> --- openconnect-3.15.orig/configure.ac
> +++ openconnect-3.15/configure.ac
> @@ -53,7 +53,7 @@ fi
>  AM_CONDITIONAL(USE_NLS, [test "$USE_NLS" = "yes"])
>  
>  case $target_os in
> - *linux*)
> + *linux*|*-gnu*)
>      AC_MSG_NOTICE([Applying feature macros for Linux build])
>      AC_DEFINE(_POSIX_C_SOURCE, 200112L)
>      # For strcasecmp() 

Could just use AC_USE_SYSTEM_EXTENSIONS instead to avoid having to
fiddle with those macros manually.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Marked as found in versions openconnect/3.15-1. Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 17:00:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 17:00:06 GMT) Full text and rfc822 format available.

Merged 667996 668282 Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 17:00:07 GMT) Full text and rfc822 format available.

Reply sent to Mike Miller <mtmiller@ieee.org>:
You have taken responsibility. (Tue, 10 Apr 2012 21:24:32 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Tue, 10 Apr 2012 21:24:32 GMT) Full text and rfc822 format available.

Message #31 received at 667996-close@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: 667996-close@bugs.debian.org
Subject: Bug#667996: fixed in openconnect 3.16-1
Date: Tue, 10 Apr 2012 21:23:24 +0000
Source: openconnect
Source-Version: 3.16-1

We believe that the bug you reported is fixed in the latest version of
openconnect, which is due to be installed in the Debian FTP archive:

libopenconnect-dev_3.16-1_amd64.deb
  to main/o/openconnect/libopenconnect-dev_3.16-1_amd64.deb
libopenconnect1_3.16-1_amd64.deb
  to main/o/openconnect/libopenconnect1_3.16-1_amd64.deb
openconnect_3.16-1.debian.tar.gz
  to main/o/openconnect/openconnect_3.16-1.debian.tar.gz
openconnect_3.16-1.dsc
  to main/o/openconnect/openconnect_3.16-1.dsc
openconnect_3.16-1_amd64.deb
  to main/o/openconnect/openconnect_3.16-1_amd64.deb
openconnect_3.16.orig.tar.gz
  to main/o/openconnect/openconnect_3.16.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Miller <mtmiller@ieee.org> (supplier of updated openconnect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 09 Apr 2012 21:27:54 -0400
Source: openconnect
Binary: openconnect libopenconnect1 libopenconnect-dev
Architecture: source amd64
Version: 3.16-1
Distribution: unstable
Urgency: low
Maintainer: Mike Miller <mtmiller@ieee.org>
Changed-By: Mike Miller <mtmiller@ieee.org>
Description: 
 libopenconnect-dev - Open client for Cisco AnyConnect VPN - development files
 libopenconnect1 - Open client for Cisco AnyConnect VPN - shared library
 openconnect - Open client for Cisco AnyConnect VPN
Closes: 667996
Changes: 
 openconnect (3.16-1) unstable; urgency=low
 .
   * New upstream release
     - Fix FTBFS on kfreebsd and hurd (Closes: #667996)
   * Build and install HTML docs, copy the upstream changelog
   * Fix Homepage address
   * Remove debian/TODO, contents all done
Checksums-Sha1: 
 43376d6e9c020c2b4637617dd940f059a58180fa 1917 openconnect_3.16-1.dsc
 41b8476904f533da89fbb388e316b888ac03c21d 552359 openconnect_3.16.orig.tar.gz
 74fcd6f4e3eee525947a7c9a478901b722b07e2b 3803 openconnect_3.16-1.debian.tar.gz
 7f8860c66fcd23d645af2727c0c766044a2226bb 187236 openconnect_3.16-1_amd64.deb
 be0f52707ae069d3157c4db23fcfde7f16b96819 39212 libopenconnect1_3.16-1_amd64.deb
 f7eccb9a3f3e1f9153f01c6227123b0b12168ec4 15594 libopenconnect-dev_3.16-1_amd64.deb
Checksums-Sha256: 
 8c0f460a093722dbd0ad4a64396a48b77d8c54be41eb2e0959042b500d514faa 1917 openconnect_3.16-1.dsc
 556c42b06c33e95db5fe1dc8a3b22f0fca1352c6fb0a432bd59d6178089597b6 552359 openconnect_3.16.orig.tar.gz
 88dcc0768d9b476306a22aa7ef98e00909dd2e7ed403a1be5a4ace4dcd5d63ea 3803 openconnect_3.16-1.debian.tar.gz
 76cba3fcac80d5412e92dcbf8bd910ab4473ad0cf368330cd9387d06b7acb7cb 187236 openconnect_3.16-1_amd64.deb
 d8d4347faae8aa42c4befd0848e8c98ea2eb7368d723297965595957822749bc 39212 libopenconnect1_3.16-1_amd64.deb
 43a6085d580a0e6aceb11b75f309cd23e30202d1c3079d83cfc2b65bd93e5dce 15594 libopenconnect-dev_3.16-1_amd64.deb
Files: 
 12529d2628e61830545ae10fd5ee512c 1917 net optional openconnect_3.16-1.dsc
 ce258b996e6af9128f20fb797938f7b7 552359 net optional openconnect_3.16.orig.tar.gz
 fd14832f6634b16235c9bcc368b8b86f 3803 net optional openconnect_3.16-1.debian.tar.gz
 8d12133e54261bbf2fa785144d94f389 187236 net optional openconnect_3.16-1_amd64.deb
 4fe6d39b70d5b02d61b9b5fd36a77c30 39212 libs optional libopenconnect1_3.16-1_amd64.deb
 7e15347516438f1734254954146947f4 15594 libdevel optional libopenconnect-dev_3.16-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPhJ+zAAoJEE5xYO1KyO4dN0AP/RTaSzUcW+jQ9RufLeLd4pNm
Wn129YceuJ3CyOyv/hT/22/bTiEZacaiYvWo6T+LJ+axf2jCA8FAZR5QqCRVgm9G
yFojLrloU4sgTqH/gTRHiJWcuXdCc9dZL+x2ms1KpkNdW0qjwqX7Va32iXRFn9uB
r3kfGzu+akwCaygQ5k5wkGJUN0H96JoP233Qs3cJowiXCOvIkb/LR21qZAksj7aC
ignnOnMYTqvtAaC9Ev4rHYlHWQ1ZpG03rbgZr/sxBNJsIECH0f7RXV8+/RAIUHj+
vOEWpXS+tPHaaw0gTHEQn3R7wexgr9X3cDzQ7SyJe5Dw3IVKE1o7aDr52ltguzNq
YzWBeF6Mch/a7epFqdV4f45D9tjCQYKJnvrt9nhKDv1jspsGCJEwX1WbWpQENrmN
CFdFHsnX/OrZ8NODygECU5wrZTDF90rYTN2LlV13RGUeF7dmpXPVV3tqk8bb4i3b
l393r3nPiI97CxcLpiMw/ISYRpxjuETnFcncUa7vVTUizL0j2KVrUol0AjYtiEkv
hzxdYXA3dqtkJQEZBfPe22ZJ7z26bGMBoT5XedGc5jOw2jk6F6TihViIMkE+/JOg
lYXXoxHdwGZzXji+seGIX0D8IpNFSDWX0l5dnEDNe0O2bQcKGiW91t+MhFRKs0sS
uU8PlkdjF9aflV6JcMsO
=vLM0
-----END PGP SIGNATURE-----





Reply sent to Mike Miller <mtmiller@ieee.org>:
You have taken responsibility. (Tue, 10 Apr 2012 21:24:33 GMT) Full text and rfc822 format available.

Notification sent to svante.signell@telia.com:
Bug acknowledged by developer. (Tue, 10 Apr 2012 21:24:33 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Jul 2012 07:32:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:18:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.